### Method

# RB RhythmDB query_serialize

#### Declaration [src]

    void
    rhythmdb_query_serialize (
      RhythmDB* db,
      RhythmDBQuery* query,
      xmlNodePtr parent
    )

#### Description [src]

Converts `query` into XML form as a child of `parent`. It can be converted back into a query by passing `parent` to `rhythmdb_query_deserialize`.

#### Parameters

`query`

  Type: `RhythmDBQuery`

  Query to serialize.

  The data is owned by the caller of the method.

`parent`

  Type: `xmlNodePtr`

  XML node to attach the query to.